Subject: bug#19056: closed (Re: bug#19056: Guix 0.7 fails to build in Debian Wheezy mipsel)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Nov 2014 10:40:03 +0000

Your bug report

#19056: Guix 0.7 fails to build in Debian Wheezy mipsel

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19056: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19056
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19056: Guix 0.7 fails to build in Debian Wheezy mipsel
From: [email-masked] (Ludovic Courtès)
To: Bruno Félix Rezende Ribeiro <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Nov 2014 11:39:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Bruno Félix Rezende Ribeiro <[email-masked]> skribis:

> Em Sat, 15 Nov 2014 19:02:04 +0100
> [email-masked] (Ludovic Courtès) escreveu:
>
>> Thus, for now, I’d recommend either upgrading Guile, or removing
>> --target= in Guix’s Makefile.am.
>> 
>> Does that work for you?
>
> I upgraded GNU Guile and it works just fine now.  Thank you!

Great, thanks for the feedback.

Ludo’.

Subject: Guix 0.7 fails to build in Debian Wheezy mipsel
From: Bruno Félix Rezende Ribeiro <[email-masked]>
To: [email-masked]
Date: Sat, 15 Nov 2014 00:41:22 -0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This machine is a Lemote Yeeloong 8101B (Loongson 2F processor --
MIPS64), running Debian Wheezy mipsel port.

Building Guix 0.7 on it fails with the following error:

  ice-9/boot-9.scm:106:20: In procedure make_objcode_from_file: 
    bad header on object file: "GOOF----LE-8-2.0"

Configuration and build logs are attached (config.log and make.log,
respectively).

This bug seems to be related to a bug reported by Andreas:

http://lists.gnu.org/archive/html/bug-guix/2013-02/msg00192.html 

Shouldn't it have been fixed by now?

Ps: please CC me --- I'm not subscribed.

-- 
 ,= ,-_-. =.  Bruno Félix Rezende Ribeiro (oitofelix) [0x28D618AF]
((_/)o o(\_)) There is no system but GNU;
 `-'(. .)`-'  GNU Linux-Libre is one of its official kernels;
     \_/      All software must be free as in freedom;